> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch the results of a Stored Action run

> Fetch Stored Action Run

Requires the id returned from a call to /stored-actions/{stored_action_id}/run
to execute the stored action.

The status code returned by this call does NOT denote the status of the action
in an external system, but the status of the action processing from Zapier.

Results are stored for seven days after the action was initially executed.



## OpenAPI

````yaml white-label/actions-openapi.yaml get /actions/v1/stored-actions/{stored_action_id}/runs/{run_id}
openapi: 3.1.0
info:
  title: Actions API
  description: >
    API for creating, executing, and fetching results for an Action.


    A Stored Action is a single, repeatable configuration that can been called

    repeatedly to execute the same action.


    As an example, you could create a StoredAction that sends a message to a

    specific channel in Slack. Every time that action is executed, a message
    will

    be sent to the pre-configured channel in Slack.


    An External Action is an action registered by an external provider (e.g.,
    Custom Actions,

    Code Actions, Agents) in the Action Registry. External actions can be
    created, updated,

    published, shared, and controlled through the registry endpoints.


    An Action Run is a one-off execution of an action — no record is persisted
    for reuse.

    Submit the action configuration and inputs in a single POST /runs call, then
    poll

    GET /runs/{run_id} for the result.


    **Authentication:** Service and User JWTs

    # Key Terminology

    - `stored_action`: A pre-configured action connected to a SelectedAPI and
    executable
      action that can be called repeatedly.
    - `external_action`: An action registered by an external provider in the
    Action Registry.

    - `action_run`: A one-off execution of an action that is not persisted as a
    stored action.
  version: v1
  contact:
    url: https://docs.zapier.com
servers:
  - url: https://api.zapier.com
    description: Production
security:
  - OAuth: []
tags:
  - name: Stored Actions
    description: Operations related to a Stored Action
paths:
  /actions/v1/stored-actions/{stored_action_id}/runs/{run_id}:
    get:
      tags:
        - Stored Actions
      summary: Fetch the results of a Stored Action run
      description: >-
        Fetch Stored Action Run


        Requires the id returned from a call to
        /stored-actions/{stored_action_id}/run

        to execute the stored action.


        The status code returned by this call does NOT denote the status of the
        action

        in an external system, but the status of the action processing from
        Zapier.


        Results are stored for seven days after the action was initially
        executed.
      operationId: getStoredActionRun
      parameters:
        - in: path
          name: run_id
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: stored_action_id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoredActionResult'
              examples:
                Success:
                  value:
                    type: run
                    status: success
                    results:
                      - key: value
                    next_page: '0'
                    errors: []
          description: 'Success: Includes the results of the task run.'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: >-
                Effective request cap per 300-second window. Default: 600.
                Maximum via limit_override: 3000.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: string
                format: date-time
              description: Unix timestamp when the current 300-second window resets.
        '202':
          description: The request is still processing, try fetching results again later.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: >-
                Effective request cap per 300-second window. Default: 600.
                Maximum via limit_override: 3000.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: string
                format: date-time
              description: Unix timestamp when the current 300-second window resets.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsErrorResponse'
              examples:
                BadRequest:
                  value:
                    errors:
                      - status: 400
                        code: bad_request
                        title: Bad Request
                        detail: Improperly formatted or incompleted request
                        source: null
                        meta: {}
                  summary: Bad Request
          description: Imporoperly formatted or incomplete request.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: >-
                Effective request cap per 300-second window. Default: 600.
                Maximum via limit_override: 3000.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: string
                format: date-time
              description: Unix timestamp when the current 300-second window resets.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsErrorResponse'
              examples:
                PermissionDenied:
                  value:
                    errors:
                      - status: 403
                        code: permission_denied
                        detail: >-
                          User does not have enough permissions to perform
                          action
                  summary: Permission Denied
          description: Permission denied. Unauthorized request.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsErrorResponse'
              examples:
                Error:
                  value:
                    errors:
                      - status: 404
                        code: not_found
                        title: Resource not found.
                        detail: Here's a more readable explanation of what happened.
                        source:
                          pointer: /path/to/field
                        meta: {}
          description: No results found for this run.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: >-
                Effective request cap per 300-second window. Default: 600.
                Maximum via limit_override: 3000.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: string
                format: date-time
              description: Unix timestamp when the current 300-second window resets.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsErrorResponse'
              examples:
                TooManyRequests:
                  value:
                    errors:
                      - status: 429
                        code: too_many_requests
                        detail: Rate limit exceeded. Too many requests.
                  summary: Too Many Requests
          description: Too many requests.
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: >-
                Effective request cap per 300-second window. Default: 600.
                Maximum via limit_override: 3000.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: string
                format: date-time
              description: Unix timestamp when the current 300-second window resets.
            Retry-After:
              schema:
                type: integer
              description: Seconds to wait before retrying.
              required: true
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsErrorResponse'
              examples:
                UnhandledOrExternalServiceError:
                  value:
                    errors:
                      - status: 500
                        code: external_service_error
                        detail: An error occurred with an external service.
                  summary: Unhandled or External Service Error
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: >-
                Effective request cap per 300-second window. Default: 600.
                Maximum via limit_override: 3000.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: string
                format: date-time
              description: Unix timestamp when the current 300-second window resets.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsErrorResponse'
              examples:
                ServiceUnavailableError:
                  value:
                    errors:
                      - status: 503
                        code: service_unavaiable
                        detail: Service is temporarily unavailable
                  summary: Service Unavailable Error
          description: Service Unavailable
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: >-
                Effective request cap per 300-second window. Default: 600.
                Maximum via limit_override: 3000.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window.
            X-RateLimit-Reset:
              schema:
                type: string
                format: date-time
              description: Unix timestamp when the current 300-second window resets.
            Retry-After:
              schema:
                type: integer
              description: Seconds to wait before retrying.
              required: true
      security:
        - OAuth:
            - external
components:
  schemas:
    StoredActionResult:
      type: object
      description: The flat response payload for fetching a stored action run.
      properties:
        type:
          type: string
          default: run
          description: >-
            Specifies the resource type, as required by the JSON:API
            specification.
        id:
          type: string
          format: uuid
          description: The id returned by the initial call to run an action.
        status:
          allOf:
            - $ref: '#/components/schemas/StatusA45Enum'
          description: >-
            The result of the action call itself from the partner. You could
            have a success=True (Zapier succeeded) and status=error (the partner
            raise an error).


            * `error` - error

            * `success` - success

            * `waiting` - waiting
        results:
          type: array
          items:
            type: object
            additionalProperties: {}
          description: Could be empty, even if the action was successfully run.
        next_page:
          type: string
          description: >-
            When using bulk read action types, this denotes the state of the
            paging utilities. Pass it back as `page` on the next POST
            /stored-actions/{stored_action_id}/run call.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ActionsFetchError'
          description: Any errors returned by the partner when running this action.
      required:
        - errors
    ActionsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ActionsError'
          description: An array of error objects.
      required:
        - errors
    StatusA45Enum:
      enum:
        - error
        - success
        - waiting
      type: string
      description: |-
        * `error` - error
        * `success` - success
        * `waiting` - waiting
    ActionsFetchError:
      type: object
      description: >-
        The error information returned from a third party when running an
        action.
      properties:
        code:
          allOf:
            - $ref: '#/components/schemas/CodeEnum'
          description: |-
            Error type of the result object.

            * `user` - user
            * `authentication` - authentication
            * `partner` - partner
            * `system` - system
            * `throttled` - throttled
            * `system_throttled` - system_throttled
            * `hydration` - hydration
            * `authentication_access` - authentication_access
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        delay:
          type: integer
          description: >-
            When a partner throttled the execution call (error_type =
            throttled), this value will hold the number of seconds to wait
            before retrying.
        meta:
          type:
            - object
            - 'null'
          additionalProperties: {}
          description: Any additional error information returned from the partner.
    ActionsError:
      type: object
      description: Base Error definition
      properties:
        status:
          type: integer
          description: The HTTP status code applicable to this problem.
        code:
          type: string
          description: A unique identifier for this particular occurrence of the problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        source:
          oneOf:
            - $ref: '#/components/schemas/ActionsErrorSource'
            - type: 'null'
          description: An object containing references to the primary source of the error.
        meta:
          type:
            - object
            - 'null'
          additionalProperties: {}
          description: Any additional metadata about the error.
    CodeEnum:
      enum:
        - user
        - authentication
        - partner
        - system
        - throttled
        - system_throttled
        - hydration
        - authentication_access
      type: string
      description: |-
        * `user` - user
        * `authentication` - authentication
        * `partner` - partner
        * `system` - system
        * `throttled` - throttled
        * `system_throttled` - system_throttled
        * `hydration` - hydration
        * `authentication_access` - authentication_access
    ActionsErrorSource:
      type: object
      description: Populates the `source` object inside our error responses.
      properties:
        pointer:
          type: string
          description: >-
            Pointer to the value in the request document that caused the error
            e.g. `/actions`.
        parameter:
          type: string
          description: A string indicating which URI query parameter caused the error.
        header:
          type: string
          description: >-
            A string indicating the name of a single request header which caused
            the error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        authorizationCode:
          authorizationUrl: https://zapier.com/oauth/authorize
          tokenUrl: https://zapier.com/oauth/token
          scopes:
            external: Scope that gives access to all Public APIs
        clientCredentials:
          tokenUrl: https://zapier.com/oauth/token
          scopes:
            external: Scope that gives access to all Public APIs

````